@import "./variables";

html, body{
  background-color: $gray-100;
}

.btn{
  font-weight: 300;
}

h1, h2, h3, h4, h5, h6{
  font-family: $font-family-serif;
}

nav.sidebar{
  position: absolute;
  overflow: hidden;
  width: 0;
  transition: 0.5s;

  >div{
    width: 280px;
  }
}

.key-figure{
  font-size: 2.5em;
  line-height: 1.1;

  .percentage{
    display: block;
    font-size: 0.25em;
  }
}

.logo{
  background: no-repeat center center;
  min-width: 15rem;

  &:before{
    content: "";
    display: block;
    padding-top: 10%;
  }
}

#nav-menu{
  position: absolute;
  z-index: 5000;
  min-height: 100vh;

  > div{
    min-height: 100vh;
  }
}

#nav-menu-toggle{
  cursor: pointer;

  .hamburger:before, .hamburger:after, .hamburger .bar {
    content: "";
    display: block;
    height: 2px;
    background: $dark;
    width: 1.3em;
    transition: 0.5s;
    margin: 6px 0;
  }
}

.nav-menu-open {
  nav.sidebar {
    width: 280px;
  }

  #nav-menu-toggle {
    .hamburger .bar{
      opacity: 0;
    }

    .hamburger:before{
      transform: translate3d(0, 400%, 0) rotateZ(45deg)
    }
    .hamburger:after{
      transform: translate3d(0, -400%, 0) rotateZ(-45deg)
    }
  }
}

input.input-page-name{
  font-family: $font-family-serif;
  font-size: 3rem;
  border:none;
  padding-top: 0;
  padding-bottom: 0;
}

.input-page-slug{
  > label, span, input{
    border: none;
    padding: 0;
    background: none;
    font-size: 0.8em;
  }
}

.page-tool-date{
  font-size: 0.75em;
}


.min-h-0{
  min-height: 0;
}

.min-w-0{
  min-width: 0;
}

.form-control-plaintext.thin-line{
  border: 1px solid #EEE;
  border-left: none;
  border-right: none;
}